pylabrobot.molecular_devices.spectramax.SpectraMaxM5#

class pylabrobot.molecular_devices.spectramax.SpectraMaxM5(name: str, port: str)#

Bases: MolecularDevicesPlateReader

Attributes

Methods

__init__(name, port)

clear_error_log()

Clear the device error log.

close()

Close the plate tray.

deactivate()

open()

Open the plate tray.

read_absorbance(plate, wells, wavelength[, ...])

Read absorbance.

read_error_log()

Read the device error log.

read_fluorescence(plate, wells, ...[, ...])

Read fluorescence.

read_fluorescence_polarization(plate, ...[, ...])

Read fluorescence polarization.

read_luminescence(plate, wells, focal_height)

Read luminescence.

read_time_resolved_fluorescence(plate, ...)

Read time-resolved fluorescence.

request_current_temperature()

request_firmware_version()

Get the firmware version.

request_status()

Get the current device status.

request_temperature()

Get (current_temp, set_point) from the device.

send_command(command[, timeout, num_res_fields])

Send a command and receive the response, automatically determining the number of response fields.

set_temperature(temperature)

setup()

start_shake()

Start shaking.

stop()

stop_shake()

Stop shaking.

wait_for_idle([timeout])

Wait for the plate reader to become idle.

Parameters: